import { PetClassInfo } from '../types/Pet';

export const PET_CLASSES: Record<string, PetClassInfo> = {
  FOREST_SPIRIT: {
    name: 'Forest Spirit',
    description: 'A mystical guardian of nature, attuned to the forest\'s wisdom.',
    modifiers: [
      '-20% food consumption',
      '+15% wisdom generation',
      'Natural healing ability'
    ],
    color: 'emerald',
    emoji: '🌿'
  },
  OCEAN_GUARDIAN: {
    name: 'Ocean Guardian',
    description: 'A majestic creature of the deep, master of the seas.',
    modifiers: [
      '+20% resource gathering',
      'Water breathing',
      'Enhanced mobility'
    ],
    color: 'cyan',
    emoji: '🌊'
  },
  FIRE_ELEMENTAL: {
    name: 'Fire Elemental',
    description: 'A passionate spirit of flame, burning with inner strength.',
    modifiers: [
      '+25% strength gains',
      'Fire resistance',
      'Heat generation'
    ],
    color: 'red',
    emoji: '🔥'
  },
  MYTHICAL_BEAST: {
    name: 'Mythical Beast',
    description: 'A legendary creature of ancient lore.',
    modifiers: [
      '+30% charisma',
      'Rare item finding',
      'Enhanced abilities at night'
    ],
    color: 'purple',
    emoji: '🦄'
  },
  SHADOW_WALKER: {
    name: 'Shadow Walker',
    description: 'A mysterious being that moves between light and darkness.',
    modifiers: [
      'Stealth abilities',
      '+25% junk value',
      'Night vision'
    ],
    color: 'violet',
    emoji: '👻'
  },
  CYBER_PET: {
    name: 'Cyber Pet',
    description: 'A digital companion from the future.',
    modifiers: [
      '+30% intelligence growth',
      'Digital interface',
      'Quick processing'
    ],
    color: 'blue',
    emoji: '🤖'
  },
  BIO_MECHANICAL: {
    name: 'Bio-Mechanical Hybrid',
    description: 'A perfect fusion of organic life and advanced technology.',
    modifiers: [
      'Self-repair capability',
      '+20% all stats',
      'Resource optimization'
    ],
    color: 'teal',
    emoji: '🦾'
  }
};