export type SkillType = 'GROUND' | 'GRAND';

export interface Skill {
    id: number;
    name: string;
    description: string;
    type: SkillType;
    skillRequirements: SkillRequirement[];
    icon: string;
    skillsIdRequired: number[] | null;
    effects: SkillEffect[];
}

export interface SkillRequirement {
    cost: number;
    resource: string;
}

export interface SkillEffect {
    id: number;
    skillId: number;
    tier: SkillTier;
    effect: string;
    value: number;
}

export type SkillTier = 'I' | 'II' | 'III';
export interface PetSkill {
    id: number;
    petId: string;
    skillId: number;
    skill: Skill;
    currentTier: SkillTier;
}
