import { PetGatherAction } from '../types/PetAction';

export function isGatheringAction(action: PetGatherAction): boolean {
  return action.startsWith('GATHERING_');
}

export function isActionActive(currentAction: PetGatherAction, actionType: 'gather' | 'explore' | 'battle'): boolean {
  if (actionType === 'gather') {
    return currentAction.startsWith('GATHERING_');
  }
  if (actionType === 'explore') {
    return currentAction === 'EXPLORE';
  }
  if (actionType === 'battle') {
    return currentAction === 'BATTLE';
  }
  return false;
}

export function getResourceFromAction(action: PetGatherAction): string | null {
  if (action.startsWith('GATHERING_')) {
    return action.replace('GATHERING_', '').toLowerCase();
  }
  return null;
}

export function formatResourceName(resource: string): string {
  return resource.charAt(0).toUpperCase() + resource.slice(1).toLowerCase();
}